#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{ int cena;
int d;
scanf("%d",&cena);
int i=1; int ukupno=0;
int x;
for (i=1; i<20; i++)
    d=pow(10,i);
{
    x=cena%d;
    x=x/pow(10,i-1);
    cena=cena-x;
    int min=0;
    if (x>=5)
    {
        x=x-5;
        min++;
    }
    while (x-2>=0)
    {
        x=x-2;
        min++;
    }
    if (x=1)
       {
           min++;
       }
       ukupno=ukupno+min;
}
       printf("%d",ukupno);


    return 0;
}